<?php

/**
* @brief The screen to be displayed on accessing the monitord web frontend without given action
*
* Some kind of a splash screen holding system information such as version numbers and which could possibly could have some more functionality later on
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2010-01-02 20:59:06 +0100 (Sa, 02 Jan 2010) $
*/
class monitord_base_screen_manager extends monitord_webfrontend_module {

	protected function initialize() {
		$this->moduletitle = 'Startseite';
		$this->revision = '$Revision: 414 $';
		$this->date = '$Date: 2010-01-02 20:59:06 +0100 (Sa, 02 Jan 2010) $';
	}
	
	/**
	* @brief Should this module be executed?
	*
	* To be called by base page (index.php) as all other modules to activate by matching HTTP GET param AND on empty
	* @param $monitord_webfrontend_modules An array holding all available/loaded modules
	* @author Martin Diedrich (mdiedrich)
	*/	
	protected function decide_to_be_called() {
	
		if((isset($_GET['module']) && $_GET['module'] == $this->modulename) || !sizeof($_GET)) {
			if($this->module_ini['main']['enable'] == '1') {
				return true;
			} else {
				throw new exception('Module disabled.', '308');
			}
		}
		return false;
	}

	/**
	* @brief The module's main output method
	*
	* Generates some nice output to be seen as first screen
	* @param $monitord_webfrontend_modules An array holding all available/loaded modules
	* @author Martin Diedrich (mdiedrich)
	*/	
	protected function output_content($monitord_webfrontend_modules) {
		echo '<div align="center"><div id="base_screen">';
		echo '<h2 style="padding:20px;">monitord Web-Frontend</h2>';
		echo '<div style="text-align:left;padding-left:50px;">Dies ist die Startseite Ihres monitord Web-Frontends. Sie dient vorrangig zur Darstellung des Systemstatus.<br>Bitte w&auml;hlen Sie oben im Men&uuml; aus, welches Modul sie benutzen m&ouml;chten.</div>';
		echo '<div style="text-align:left;padding-left:50px;margin-top:20px;">Dieses Web-Frontend stellt Funkauswertungen des monitord (<a href="http://www.monitord.de" target="_blank">http://www.monitord.de</a>) dar.</div>';
		if($this->module_ini['main']['modules_show_version'] == 1) {
			echo '<div style="width:400px;text-align:left;padding-left:50px;margin-top:20px;"><span style="font-weight:bold;">Modulversionen:</span><br>';
			foreach($monitord_webfrontend_modules AS $idx => $val) {
				$val->show_version();
			}
		}
		echo "</div>";
		echo '<div style="text-align:left;padding-left:50px;margin-top:20px;padding-bottom:50px;">Written by Martin Diedrich (mdiedrich) 2009-2010</div>';
		echo "</div></div>\n";
	}

}

?>