<?php
	// error_reporting(E_ALL ^ E_NOTICE);
	error_reporting(E_ALL);
	$show_exceptions = 1; // show exceptions as clear (with failure description or only as occurred failure)
	require_once('./module.class.php'); // main module class
	require_once('./static_functions.inc.php'); // some static methods
	require_once('./output_element.class.php'); // main line output module class (single line in table)
	require_once('./output_manager.class.php'); // main line based output manager module class (managing to display all lines from query
	
	// Any configuration file found? If not -> no function... die.
	if(!$monitord_ini = @parse_ini_file('./monitord_config.ini', true)) {
		die('monitord_config.ini not found, aborting.');
	}	
	
	// loading the main modules from directory
	$monitord_webfrontend_modules = array();
	$exceptions = array();
	$ext="/^.*\.module\.php$/i";
	$files = array();
	$handle = opendir('.');
	while ($file = readdir ($handle)) {
		if (is_file($file) && preg_match($ext,$file)) {
			array_push($files, $file);
		}
	}
	closedir($handle);
	sort($files);
	
	// loading and instantiating our modules, saving exceptions in an array to be handled later on...
	foreach($files AS $val) {
		require_once($val);
		$val = strstr($val, '.', true);
		$classname = 'monitord_' . $val . '_manager';
		try {
			$monitord_webfrontend_modules[$val] = new $classname();
		} catch(exception $exception) {
			$exceptions[] = $exception;
		}
	}

	foreach($monitord_webfrontend_modules AS $val) {
		$val->send_http_headers($monitord_webfrontend_modules);
	}
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>monitord Web-Frontend</title>
<meta name="generator" content="mdiedrich 12-2009">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" media="screen" href="styles.css">
</head>

<body>
<div id="upper_block">
<table width="100%">
<tr>
<td>&nbsp;</td>
<td align="right"><img src="./monitord-frontend-logo.png" width="259" height="124" alt="monitord-Frontend Logo"></td>
</tr>
</table>
</div>

<div id="menubar">

<?php

	if((sizeof($monitord_webfrontend_modules) > 0) && sizeof($exceptions) == 0) {
		echo '<div id="main_menu">';
		foreach($monitord_webfrontend_modules AS $val) {
			$val->write_menu_button();
		}
		echo "</div>\n\n";
	}

?>

</div>

<div id="main_content" style="clear:both;">

<?php
$module_called = false;
if(sizeof($exceptions) == 0 && sizeof($monitord_webfrontend_modules) > 0) {
	foreach($monitord_webfrontend_modules AS $val) {
		try {
			$is_called = $val->trigger_output_content($monitord_webfrontend_modules);
			$module_called = $module_called || $is_called;
		} catch(exception $exception) {
			$exceptions[] = $exception;
		}
	}
}

if(sizeof($exceptions) > 0) {
	foreach($exceptions AS $val) {
		monitord_static_functions::monitord_handle_exception($val, $show_exceptions);
	}
} else {
	if(!$module_called) {
		echo '<h3>Modul nicht verfgbar</h3>';
		echo 'Das Modul existiert nicht. Spielkalb. Nutze das Men, wofr baue ich das ;)?!';
	}
}

?>

</div>

<div align="center" style="border-top:3px double #000000;color:#ADADAD;font-size:10px;padding-top:10px;margin-top:20px;">monitord Web-Frontend (c) Martin Diedrich (mdiedrich), 2009</div>
</body>
</html>