<?php

/**
* @brief Basic class for formatting line based database results such as ZVEI, FMS, POCSAG telegrams
*
* Basic class which can be extended by all modules dealing with formatting line based database results such as ZVEI, FMS, POCSAG
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2010-04-22 14:17:14 +0200 (Do, 22 Apr 2010) $
*/
class monitord_output_manager extends monitord_webfrontend_module {

	/**
	* @brief The module's main output method
	*
	* Outputting all lines in sql result set (zvei and fms only... yet) using apropriate line representations (such as monitord_single_zvei / monitord_single_fms)
	* @author Martin Diedrich (mdiedrich)
	*/
	protected function output_content() {
	
		if($this->module_ini['main']['filter_duplicates'] == 1) {
			echo '<div align="right" class="smallgreen">Duplikat-Filterung ist eingeschaltet!</div>' . "\n\n";
		} else {
			echo '<div align="right" class="smallgreen">&nbsp; <!-- PLACEHOLDER --></div>' . "\n\n";
		}
	
		$query = $this->get_db_query();
		
		$result = mysql_query($query, $this->dbconn);
		if(!$result) {
			throw new exception('Database query failed:<br>' . mysql_error() . ':<br>&quot;' . $query . '&quot;', $this->monitord_ini['failcodes']['dbquery']);
		}
		if(mysql_affected_rows() == 0) {
			echo '<div class="info_400">Es befinden sich derzeit keine Eintr&auml;ge in der Datenbank,<br>die zu den Filterkriterien passen.</div>';
		} else {
			// $this->write_jscript_updater($this->module_ini['main']['lines_per_page'], $this->module_ini['main']['show_fields']); // FOR FUTURE AJAX TECHNOLOGY
			// echo '<a href="javascript:new_entry()">Neuner Eintrag</a>';
			echo '<div align="center">';
			echo '<table id="' . $this->type . '_block" border="0" cellspacing="0">' . "\n";
			$tmp_element_name = 'monitord_single_' . $this->type;
			$tmp_element = new $tmp_element_name();
			$linecount = 0;
			$res_old = null;
			while($res = mysql_fetch_assoc($result)) {
				if(($this->module_ini['main']['filter_duplicates'] == 1) && ($res_old['kennung'] != null) && (substr($res_old['uhrzeit'], -2) - substr($res['uhrzeit'], -2) < 2) && (substr($res_old['uhrzeit'], -5, 2) == substr($res['uhrzeit'], -5, 2)) && ($this->type == 'zvei')) {
					if(($res['kennung'] == $res_old['kennung'])) {
						$print = 0;
					} else {
						$print = 1;
					}
				} else {
					$print = 1;
				}
				$tmp_element->set_all_data($res);
				if($linecount == 0) {
					$tmp_element->monitord_write_tableheader();
					$linecount++;
				}
				if($print == 1) {
					echo '<tr id="line' . $linecount . '">';
					echo $tmp_element->monitord_write_tableentry($this->monitord_ini, $linecount);
					echo "</tr>\n";
					$linecount++;
				}
				$res_old = $res;
			}
			echo "</table></div>\n\n";
		}
	}
	
/*	function write_jscript_updater_old($lines_per_page, $show_fields) {
		$show_fields = explode(",", $show_fields);
		$this->write_jscript_rotate_function($lines_per_page, $show_fields);
		echo '<script type="text/javascript">' . "\n";
		echo "<!--\n";
			echo "function new_entry(NewEntry) {\n";
				echo 'rotate_entries();';
				echo 'var NewData = NewEntry.split(",");';
				echo 'var i = 0;';
				foreach($show_fields AS $val) {
					echo 'document.getElementById("' . trim($val) . '"+1).innerHTML = NewData[i]' . "\n";
					echo 'i++;';
				}
			echo '}';
		echo "//-->\n";
		echo "</script>\n";
	}
*/
	
	function write_jscript_updater($lines_per_page, $show_fields) {
		$show_fields = explode(",", $show_fields);
		$this->write_jscript_rotate_function($lines_per_page, $show_fields);
		echo '<script type="text/javascript">' . "\n";
			echo "<!--\n";
			echo "function new_entry() {\n";
				echo "rotate_entries();\n";
				echo 'document.getElementById("line1").innerHTML = \'<td id=\"uhrzeit1\" class=\"uhrzeit\" style=\"\">19.07.2009 22:23:00</td><td id=\"kennung1\" class=\"kennung\" style=\"\">98151006</td><td id=\"beschreibung1\" class=\"beschreibung\" style=\"\">FHD OHA 10-06<br>M. Diedrich</td><td id=\"status1\" class=\"status\" style=\" background-color:#339900;\">2</td><td id=\"richtung1\" class=\"richtung\" style=\"\">Fzg - Lst</td><td id=\"text1\" class=\"text\" style=\"\">GEHT :D!</td>\';';
			echo "\n}\n";
			echo "//-->\n";
		echo "</script>\n";
	}
	
	function write_jscript_rotate_function($lines_per_page, $show_fields) {
		echo '<script type="text/javascript">' . "\n";
		echo "<!--\n";
			echo "function rotate_entries() {\n";
			// echo 'alert(document.getElementById("line1").innerHTML);';
			echo 'for (var i = ' . $lines_per_page . '; i > 1; i--) {' . "\n";
				foreach($show_fields AS $val) {
					echo 'document.getElementById("' . trim($val) . '"+i).style.backgroundColor = document.getElementById("' . trim($val) . '"+(i-1)).style.backgroundColor' . "\n";
					echo 'document.getElementById("' . trim($val) . '"+i).innerHTML = document.getElementById("' . trim($val) . '"+(i-1)).innerHTML;' . "\n";
			}
				echo "}\n";
			echo "}\n";
		echo "//-->\n";
		echo "</script>\n";
	}
}

?>