<?php

/**
* @brief pocsag five tone line representation based on monitord_output_element
*
* Reimplements constructor adapted to type pocsag
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2009-12-09 18:37:13 +0100 (Mi, 09 Dez 2009) $
*/
class monitord_single_pocsag extends monitord_output_element {

	public function monitord_single_pocsag() {
		$this->type = 'pocsag';
	}
	
}

/**
* @brief pocsag five tone display module based on monitord_output_manager
*
* Reimplements initialize() and get_db_query() adapted to type pocsag
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2009-12-09 18:37:13 +0100 (Mi, 09 Dez 2009) $
*/
class monitord_pocsag_manager extends monitord_output_manager {

	/**
	* @brief Module initialization
	*
	* @author Martin Diedrich (mdiedrich)
	*/
	protected function initialize() {
		$this->type = 'pocsag';
		$this->moduletitle = 'POCSAG/Digitalalarm';
		$this->revision = '$Revision: 406 $';
		$this->date = '$Date: 2009-12-09 18:37:13 +0100 (Mi, 09 Dez 2009) $';
	}
	
	/**
	* @brief Generates SQL-Query for its qiven type (here: pocsag)
	*
	* @return mySQL query string
	* @author Martin Diedrich (mdiedrich)
	*/
	protected function get_db_query() {
		if(!$this->monitord_ini['functionalities']['enable_mappings']) {
			$query = "SELECT " . mysql_real_escape_string($this->monitord_ini[$this->type]['show_fields']) . " FROM " . mysql_real_escape_string($this->module_ini['main']['tablename']) . " WHERE kennung REGEXP '" . mysql_real_escape_string($this->module_ini['main']['region']) . "[[:digit:]]{3}' AND quelle = REGEXP '" . mysql_real_escape_string($this->monitord_ini[$this->type]['quelle']) . "' ORDER BY id DESC LIMIT " . mysql_real_escape_string($this->monitord_ini[$this->type]['lines_per_page']);
		} else {
			$query = "SELECT " . mysql_real_escape_string($this->module_ini['main']['show_fields']) . " FROM " . mysql_real_escape_string($this->module_ini['main']['tablename']) . " LEFT JOIN " . mysql_real_escape_string($this->module_ini['main']['mapping_tablename']) . " USING (kennung, quelle) WHERE kennung REGEXP '" . mysql_real_escape_string($this->module_ini['main']['region']) . "[[:digit:]]{3}' AND quelle REGEXP '" . mysql_real_escape_string($this->module_ini['main']['quelle']) . "' ORDER BY id DESC LIMIT " . mysql_real_escape_string($this->module_ini['main']['lines_per_page']);
		}
		return $query;
	}
	
}

?>