<?php

/**
* @brief Static functions to be used when not in object context.
*
* @author Martin Diedrich (mdiedrich)
* @date 12-2009
*/
class monitord_static_functions {

	/**
	* @brief Handles exceptions by showing a warning message
	*
	* @param $exception Exception to handle
	* @param $show_clear Show system internals yes/no, default no
	* @author Martin Diedrich (mdiedrich)
	*/
	function monitord_handle_exception($exception, $show_clear = 0) {
		if($show_clear) {
			echo '<div class="warn"><img style="float:right;margin-left:20px;" src="./achtung.gif" height="31" width="35" alt="ACHTUNG"><p style="border:0px solid;font-weight:bold;font-size:22px;">Exception!</p><p style="clear:both;"><span style="font-weight:bold;">Fehlernummer:</span> ' . $exception->getCode() . '</p><p><span style="font-weight:bold;">Fehlerbeschreibung:</span><br>' . $exception->getMessage() . '</p><p><span style="font-weight:bold;">Fehlerquelle:</span><br>' . $exception->getFile() . ' - Zeile ' . $exception->getLine() . '</p></div>';
		} else {
			echo '<div class="warn"><img style="float:left;margin-right:20px;" src="./achtung.gif" height="31" width="35" alt="ACHTUNG">Leider trat ein systeminterner Fehler auf. Sollte dieser l&auml;nger bestehen, ist ein freundlicher Hinweis an den Administrator dieser Webseite m&ouml;glicherweise hilfreich.</div>';
		}
	}

}

?>