<?php

/**
* @brief ZVEI five tone line representation based on monitord_output_element
*
* Reimplements constructor adapted to type ZVEI
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2009-12-15 11:29:52 +0100 (Di, 15 Dez 2009) $
*/
class monitord_single_zvei extends monitord_output_element {

	public function monitord_single_zvei() {
		$this->type = 'zvei';
	}
	
}

/**
* @brief ZVEI five tone display module based on monitord_output_manager
*
* Reimplements initialize() and get_db_query() adapted to type ZVEI
* @author Martin Diedrich (mdiedrich)
* @date $Date: 2009-12-15 11:29:52 +0100 (Di, 15 Dez 2009) $
*/
class monitord_zvei_manager extends monitord_output_manager {

	/**
	* @brief Module initialization
	*
	* @author Martin Diedrich (mdiedrich)
	*/
	protected function initialize() {
		$this->type = 'zvei';
		$this->moduletitle = 'Tonfolgen/Schleifen';
		$this->revision = '$Revision: 412 $';
		$this->date = '$Date: 2009-12-15 11:29:52 +0100 (Di, 15 Dez 2009) $';
	}
	
	/**
	* @brief Generates SQL-Query for its qiven type (here: ZVEI)
	*
	* @return mySQL query string
	* @author Martin Diedrich (mdiedrich)
	*/
	protected function get_db_query() {
		if(!$this->monitord_ini['functionalities']['enable_mappings']) {
			$query = "SELECT " . mysql_real_escape_string($this->module_ini['main']['show_fields']) . " FROM " . mysql_real_escape_string($this->module_ini['main']['tablename']) . " WHERE kennung REGEXP '" . mysql_real_escape_string($this->monitord_ini['zvei']['region']) . "[[:digit:]]{3}' AND quelle = '" . mysql_real_escape_string($this->module_ini['main']['quelle']) . "' ORDER BY id DESC LIMIT " . mysql_real_escape_string($this->module_ini['main']['lines_per_page']);
		} else {
			$query = "SELECT " . mysql_real_escape_string($this->module_ini['main']['show_fields']) . " FROM " . mysql_real_escape_string($this->module_ini['main']['tablename']) . " LEFT JOIN " . mysql_real_escape_string($this->module_ini['main']['mapping_tablename']) . " USING (kennung, quelle) WHERE kennung REGEXP '" . mysql_real_escape_string($this->module_ini['main']['region']) . "[[:digit:]]{3}' AND quelle = '" . mysql_real_escape_string($this->module_ini['main']['quelle']) . "' ORDER BY id DESC LIMIT " . mysql_real_escape_string($this->module_ini['main']['lines_per_page']*2+2);
		}
		return $query;
	}
	
}

?>